(function ($, Drupal) {
  "use strict";


  Drupal.behaviors.ckeditorTabs = {
    attach: function (context, settings) {
      if (typeof(CKEDITOR) == 'object') {
        var ckeditorInstances = CKEDITOR.instances;
        if (ckeditorInstances) {
          $.each(ckeditorInstances, function (i) {
            if (ckeditorInstances[i].document) {
              var $tabComponents = $(ckeditorInstances[i].document.$.body).find('.bootstrap-tabs');
              tabsInit($tabComponents);
            } else {
              ckeditorInstances[i].on('instanceReady', function (instanceReadyEventObj) {
                var editorInstanceData = ckeditorInstances[i].document.getBody();
                var $tabComponents = $(editorInstanceData.$).find('.bootstrap-tabs');
                tabsInit($tabComponents);
              });
            }

          });
        }
      } else {
        var $viewTabs = $('.bootstrap-tabs', context);
        if ($viewTabs.length > 0) {
          tabsInit($viewTabs);
        }
      }

    }
  };
  function tabsInit(elements) {
    var $tabComponents = elements;

    if ($tabComponents.length > 0) {
      $tabComponents.each(function () {
        var $tabs = $(this).find('.nav-tabs');
        $tabs
          .off('click', 'li > a')
          .on('click', 'li > a', function (e) {
            e.preventDefault();

            var link = $(this);

            link
              .parent().addClass('active')
              .siblings().removeClass('active');

            link.parents('.bootstrap-tabs').find(link.attr('href')).addClass('active')
              .siblings().removeClass('active');
          })
      });
    }
  }

})(jQuery, Drupal);
